/***********************************************************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only intended for use with Renesas products.
* No other uses are authorized. This software is owned by Renesas Electronics Corporation and is protected under all
* applicable laws, including copyright laws. 
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIESREGARDING THIS SOFTWARE, WHETHER EXPRESS, IMPLIED
* OR STATUTORY, INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
* NON-INFRINGEMENT.  ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY
* LAW, NEITHER RENESAS ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE FOR ANY DIRECT,
* INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR
* ITS AFFILIATES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software and to discontinue the availability 
* of this software. By using this software, you agree to the additional terms and conditions found by accessing the 
* following link:
* http://www.renesas.com/disclaimer
*
* Copyright (C) 2012, 2014 Renesas Electronics Corporation. All rights reserved.
***********************************************************************************************************************/

/***********************************************************************************************************************
* File Name    : r_cg_main.c
* Version      : Code Generator for RL78/G10 V1.04.00.03 [07 Aug 2014]
* Device(s)    : R5F10Y14
* Tool-Chain   : CA78K0R
* Description  : This file implements main function.
* Creation Date: 2014/11/12
***********************************************************************************************************************/

/***********************************************************************************************************************
Pragma directive
***********************************************************************************************************************/
/* Start user code for pragma. Do not edit comment generated here */
/* End user code. Do not edit comment generated here */

/***********************************************************************************************************************
Includes
***********************************************************************************************************************/
#include "r_cg_macrodriver.h"
#include "r_cg_cgc.h"
#include "r_cg_port.h"
/* Start user code for include. Do not edit comment generated here */
/* End user code. Do not edit comment generated here */
#include "r_cg_userdefine.h"

/***********************************************************************************************************************
Global variables and functions
***********************************************************************************************************************/
/* Start user code for global. Do not edit comment generated here */
void wait_SW(void);
/* End user code. Do not edit comment generated here */

void R_MAIN_UserInit(void);
/***********************************************************************************************************************
* Function Name: main
* Description  : This function implements main function.
* Arguments    : None
* Return Value : None
***********************************************************************************************************************/
void main(void)
{
    R_MAIN_UserInit();
    /* Start user code. Do not edit comment generated here */
    while (1U)
    {

/* port handling by bit manipulation    */
/* left LED handling                    */
        P0.0 = 1;                       /* turn on red LED      */
        wait_SW();                      /* wait for SW is pushed*/

        P0.0 = 0;                       /* tyrn off red LED     */
        wait_SW();

        P0.2 = 1;                       /* turn on blue LED     */
        wait_SW();

        P0.2 = 0;                       /* turn off blue LED    */
        wait_SW();

/* right LED handling                   */

        P0.3 = 1;                       /* turn on red LED      */
        wait_SW();

        P0.3 = 0;                       /* tyrn off red LED     */
        wait_SW();

        P0.4 = 1;                       /* turn on blue LED     */
        wait_SW();

        P0.4 = 0;                       /* turn off blue LED    */
        wait_SW();

/* port handling by byte data           */
/* left LED handling                    */

        P0 = 0b00000101;                /* tuen on red and blue */
        wait_SW();

/* right LED handling                   */

        P0 |= 0b00001000;               /* and red LED turn on  */
        wait_SW();

/* left and right LED handling          */

        P0 ^= 0b00010001;               /* invert red and blue  */
        wait_SW();

/* left LED handling                    */

        P0 &= 0b00011001;               /* turn off blue LED    */
        wait_SW();

        P0 = 0x00;                      /* tuen off all LEDs    */
        wait_SW();

    }
    /* End user code. Do not edit comment generated here */
}
/***********************************************************************************************************************
* Function Name: R_MAIN_UserInit
* Description  : This function adds user code before implementing main function.
* Arguments    : None
* Return Value : None
***********************************************************************************************************************/
void R_MAIN_UserInit(void)
{
    /* Start user code. Do not edit comment generated here */
    EI();
    
    /* End user code. Do not edit comment generated here */
}

/* Start user code for adding. Do not edit comment generated here */
/***********************************************************************************************************************
* Function Name: wait_SW\ON
* Description  : This function wait for low edge of P13.7
* Arguments    : None
* Return Value : None
***********************************************************************************************************************/
void wait_SW(void)
{
    while( P13.7 == 0 )
    {
        NOP();
    }
    while( P13.7 == 1 )
    {
        NOP();
    }
}

/* End user code. Do not edit comment generated here */
